#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-IlHahfZaC746qs29nwBllA
key:                  hoogle-5.0.18.4-IlHahfZaC746qs29nwBllA
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  576ec64835f50a90ea6e27e6f113b9cf
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-IlHahfZaC746qs29nwBllA
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-1kHSJYV22r9H1CQAFEYDgg
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-9MxJnDP1bSQLPRBiL4mEXo
    blaze-markup-0.8.3.0-CLBClyuhSKTIiguvvjsXmX bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6.1-I0pkWSrZ9L621n2N9S5oir
    conduit-extra-1.3.6-AErmxpXryvpAcNk95IOjxH containers-0.6.5.1
    crypton-connection-0.3.2-LMncCDQhd4i4TgBjqBJCnu deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-CDnJ4IIZiy49QmNU3HquQ1
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-3NsDO7W5NBvlxFY7M8nbj
    haskell-src-exts-1.23.1-Ao61xL3UKWpJuUUt8xjTRk
    http-conduit-2.3.9.1-IZadLmNDoYXDhlKIXs60Y2
    http-types-0.12.4-HtCYpQIQFjj1M0lE5V2LXG
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-1XJklvfVvaAKTmykLLA5mZ
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-HEM75QcL3jR9JpjJi5E6j
    resourcet-1.2.6-Dvb859hDcLrAD3xzV7aYNC
    safe-0.3.21-IydQ1hcKr806ts9FHuuGAE
    storable-tuple-0.1-H0d8i6Flw0bCOk9BmPC2kT
    tar-0.5.1.1-KaP319N2CucIvoVl75WP46 template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-KOanEFO2LjhEJvCmRvaUyL
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE
    wai-3.2.4-Etf4t8sbGx0KwC6RGtgsFP
    wai-logger-2.5.0-8ygN9QY0vrs4P2V6Nc9EUw
    warp-3.3.30-C1WVDzn6e7O7bII6vwFber
    warp-tls-3.4.9-5QEKWPamZ67HNVLNOLLUnm
    zlib-0.6.3.0-3AHAsClZ6CT9p2FTaIckwb

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

